org.eclipse.net4j.util.security

## Interface INegotiationContext

- All Known Implementing Classes:
    NegotiationContext

      public interface INegotiationContext

  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `INegotiationContext.Receiver`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `NO_TIMEOUT`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ByteBuffer` | `getBuffer()`
    `Object` | `getInfo()`
    `INegotiationContext.Receiver` | `getReceiver()`
    `Enum<?>` | `getState()`
    `void` | `setFinished(boolean success)`
    `void` | `setInfo(Object info)`
    `void` | `setReceiver(INegotiationContext.Receiver receiver)`
    `void` | `setState(Enum<?> state)`
    `void` | `setUserID(String userID)`
    `void` | `transmitBuffer(ByteBuffer buffer)`
    `Enum<?>` | `waitUntilFinished(long timeout)`

- - ### Field Detail

    - #### NO_TIMEOUT

          static final int NO_TIMEOUT

      Since:
        2.0
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getBuffer

          ByteBuffer getBuffer()

    - #### transmitBuffer

          void transmitBuffer(ByteBuffer buffer)

    - #### getReceiver

          INegotiationContext.Receiver getReceiver()

    - #### setReceiver

          void setReceiver(INegotiationContext.Receiver receiver)

    - #### getState

          Enum<?> getState()

    - #### setState

          void setState(Enum<?> state)

    - #### setUserID

          void setUserID(String userID)

    - #### getInfo

          Object getInfo()

    - #### setInfo

          void setInfo(Object info)

    - #### setFinished

          void setFinished(boolean success)

    - #### waitUntilFinished

          Enum<?> waitUntilFinished(long timeout)

      Since:
        2.0

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html